AnsweredAssumed Answered

Problem with custom build of v3.16 app

Question asked by bdaigle on Mar 16, 2016
Latest reply on Mar 16, 2016 by bdaigle

Has anyone out there done a successful build an app using the version 3.16?

For some reason, dojo's build system doesn't seem to like moment.js, which appears to be a dependency of 3.16.

 

The first error that I get in my build report is:

moment.js.uncompressed.js:9: ERROR - Parse error. '}' expected
import { hooks as moment, setHookCallback } from './lib/utils/hooks';
^

1 error(s), 0 warning(s)
Done (compile time:0.114s)

 

There are many other errors as well, all associated with the moment library. I took a cursory look at the library.   It appears as thought it was written using ES6 syntax.  Not sure if this a problem for the build system.

 

Anyone else having luck with 3.16 builds?

 

Rene Rubalcava

Lloyd Heberlie

Outcomes